package sun.font;

import java.awt.geom.Point2D;
import java.awt.geom.GeneralPath;
import java.awt.geom.Rectangle2D;
import java.awt.font.FontRenderContext;
import java.awt.FontFormatException;

public class NativeFont extends PhysicalFont
{
    public NativeFont(String s, boolean b) throws FontFormatException {
        throw new FontFormatException("NativeFont not used on Windows");
    }
    
    static boolean hasExternalBitmaps(String s) {
        return false;
    }
    
    public CharToGlyphMapper getMapper() {
        return null;
    }
    
    PhysicalFont getDelegateFont() {
        return null;
    }
    
    @Override
    FontStrike createStrike(FontStrikeDesc fontStrikeDesc) {
        return null;
    }
    
    public Rectangle2D getMaxCharBounds(FontRenderContext fontRenderContext) {
        return null;
    }
    
    @Override
    StrikeMetrics getFontMetrics(long n) {
        return null;
    }
    
    public GeneralPath getGlyphOutline(long n, int n2, float n3, float n4) {
        return null;
    }
    
    public GeneralPath getGlyphVectorOutline(long n, int[] array, int n2, float n3, float n4) {
        return null;
    }
    
    @Override
    long getGlyphImage(long n, int n2) {
        return 0L;
    }
    
    @Override
    void getGlyphMetrics(long n, int n2, Point2D.Float float1) {
    }
    
    @Override
    float getGlyphAdvance(long n, int n2) {
        return 0.0f;
    }
    
    @Override
    Rectangle2D.Float getGlyphOutlineBounds(long n, int n2) {
        return new Rectangle2D.Float(0.0f, 0.0f, 0.0f, 0.0f);
    }
}
